# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class AKSProperties(Model):
    """AKS properties.

    Variables are only populated by the server, and will be ignored when
    sending a request.

    :param cluster_fqdn: Cluster full qualified domain name
    :type cluster_fqdn: str
    :ivar system_services: System services
    :vartype system_services: list[~_restclient.models.SystemService]
    :param agent_count: Number of agents
    :type agent_count: int
    :param agent_vm_size: Agent virtual machine size
    :type agent_vm_size: str
    :param ssl_configuration: SSL configuration
    :type ssl_configuration: ~_restclient.models.SslConfiguration
    :param aks_networking_configuration: AKS networking configuration for vnet
    :type aks_networking_configuration:
     ~_restclient.models.AksNetworkingConfiguration
    """

    _validation = {
        'system_services': {'readonly': True},
        'agent_count': {'minimum': 1},
    }

    _attribute_map = {
        'cluster_fqdn': {'key': 'clusterFqdn', 'type': 'str'},
        'system_services': {'key': 'systemServices', 'type': '[SystemService]'},
        'agent_count': {'key': 'agentCount', 'type': 'int'},
        'agent_vm_size': {'key': 'agentVMSize', 'type': 'str'},
        'ssl_configuration': {'key': 'sslConfiguration', 'type': 'SslConfiguration'},
        'aks_networking_configuration': {'key': 'aksNetworkingConfiguration', 'type': 'AksNetworkingConfiguration'},
    }

    def __init__(self, cluster_fqdn=None, agent_count=None, agent_vm_size=None, ssl_configuration=None, aks_networking_configuration=None):
        super(AKSProperties, self).__init__()
        self.cluster_fqdn = cluster_fqdn
        self.system_services = None
        self.agent_count = agent_count
        self.agent_vm_size = agent_vm_size
        self.ssl_configuration = ssl_configuration
        self.aks_networking_configuration = aks_networking_configuration
