# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class DataStore(Model):
    """DataStore.

    :param name: Name of the datastore
    :type name: str
    :param data_store_type: The Azure storage service this datastore points
     to. Possible values include: 'AzureBlob', 'AzureFile', 'GlusterFs',
     'AzureDataLake', 'AzureMySql', 'AzureSqlDatabase', 'AzurePostgreSql',
     'DBFS', 'AzureDataLakeGen2'
    :type data_store_type: str or ~_restclient.models.DataStoreType
    :param has_been_validated: A read only property that denotes whether the
     service datastore has been validated with credentials.
    :type has_been_validated: bool
    :param tags: Tags to datastore
    :type tags: dict[str, str]
    :param azure_storage_section: Data specific to azure storage
    :type azure_storage_section: ~_restclient.models.AzureStorage
    :param azure_data_lake_section: Data Specific to azure data lake
    :type azure_data_lake_section: ~_restclient.models.AzureDataLake
    :param azure_sql_database_section: Data specific to azure SQL database
    :type azure_sql_database_section: ~_restclient.models.AzureSqlDatabase
    :param azure_postgre_sql_section: Data specific to azure PostgreSQL
    :type azure_postgre_sql_section: ~_restclient.models.AzurePostgreSql
    :param azure_my_sql_section: Data specific to azure MySQL
    :type azure_my_sql_section: ~_restclient.models.AzureMySql
    :param gluster_fs_section: Data specific to GlusterFS
    :type gluster_fs_section: ~_restclient.models.GlusterFs
    """

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'data_store_type': {'key': 'dataStoreType', 'type': 'DataStoreType'},
        'has_been_validated': {'key': 'hasBeenValidated', 'type': 'bool'},
        'tags': {'key': 'tags', 'type': '{str}'},
        'azure_storage_section': {'key': 'azureStorageSection', 'type': 'AzureStorage'},
        'azure_data_lake_section': {'key': 'azureDataLakeSection', 'type': 'AzureDataLake'},
        'azure_sql_database_section': {'key': 'azureSqlDatabaseSection', 'type': 'AzureSqlDatabase'},
        'azure_postgre_sql_section': {'key': 'azurePostgreSqlSection', 'type': 'AzurePostgreSql'},
        'azure_my_sql_section': {'key': 'azureMySqlSection', 'type': 'AzureMySql'},
        'gluster_fs_section': {'key': 'glusterFsSection', 'type': 'GlusterFs'},
    }

    def __init__(self, name=None, data_store_type=None, has_been_validated=None, tags=None, azure_storage_section=None, azure_data_lake_section=None, azure_sql_database_section=None, azure_postgre_sql_section=None, azure_my_sql_section=None, gluster_fs_section=None):
        super(DataStore, self).__init__()
        self.name = name
        self.data_store_type = data_store_type
        self.has_been_validated = has_been_validated
        self.tags = tags
        self.azure_storage_section = azure_storage_section
        self.azure_data_lake_section = azure_data_lake_section
        self.azure_sql_database_section = azure_sql_database_section
        self.azure_postgre_sql_section = azure_postgre_sql_section
        self.azure_my_sql_section = azure_my_sql_section
        self.gluster_fs_section = gluster_fs_section
