# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ImageResponseBase(Model):
    """ImageResponseBase.

    :param id: The image id.
    :type id: str
    :param name: The image name.
    :type name: str
    :param version: The image version.
    :type version: int
    :param description: The image description.
    :type description: str
    :param tags: Image tag list
    :type tags: list[str]
    :param kv_tags: Image tag dictionary
    :type kv_tags: dict[str, str]
    :param properties: Image property dictionary
    :type properties: dict[str, str]
    :param created_time: Time image was created.
    :type created_time: datetime
    :param modified_time: Time image was last modified.
    :type modified_time: datetime
    :param image_type:
    :type image_type: str
    :param creation_state: Possible values include: 'NotStarted', 'Running',
     'Cancelled', 'Succeeded', 'Failed'
    :type creation_state: str or ~_restclient.models.enum
    :param error:
    :type error: ~_restclient.models.ErrorResponse
    :param model_ids: The list of model Id's.
    :type model_ids: list[str]
    :param model_details: The list of models.
    :type model_details: list[~_restclient.models.Model]
    :param image_location: Image location string.
    :type image_location: str
    :param image_build_log_uri: The Uri to the image build logs.
    :type image_build_log_uri: str
    :param image_request_type_discriminator: Property used by Swagger for
     polymorphic object generation.
    :type image_request_type_discriminator: str
    """

    _validation = {
        'name': {'required': True},
        'image_request_type_discriminator': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'version': {'key': 'version', 'type': 'int'},
        'description': {'key': 'description', 'type': 'str'},
        'tags': {'key': 'tags', 'type': '[str]'},
        'kv_tags': {'key': 'kvTags', 'type': '{str}'},
        'properties': {'key': 'properties', 'type': '{str}'},
        'created_time': {'key': 'createdTime', 'type': 'iso-8601'},
        'modified_time': {'key': 'modifiedTime', 'type': 'iso-8601'},
        'image_type': {'key': 'imageType', 'type': 'str'},
        'creation_state': {'key': 'creationState', 'type': 'str'},
        'error': {'key': 'error', 'type': 'ErrorResponse'},
        'model_ids': {'key': 'modelIds', 'type': '[str]'},
        'model_details': {'key': 'modelDetails', 'type': '[Model]'},
        'image_location': {'key': 'imageLocation', 'type': 'str'},
        'image_build_log_uri': {'key': 'imageBuildLogUri', 'type': 'str'},
        'image_request_type_discriminator': {'key': 'imageRequestTypeDiscriminator', 'type': 'str'},
    }

    def __init__(self, name, image_request_type_discriminator, id=None, version=None, description=None, tags=None, kv_tags=None, properties=None, created_time=None, modified_time=None, image_type=None, creation_state=None, error=None, model_ids=None, model_details=None, image_location=None, image_build_log_uri=None):
        super(ImageResponseBase, self).__init__()
        self.id = id
        self.name = name
        self.version = version
        self.description = description
        self.tags = tags
        self.kv_tags = kv_tags
        self.properties = properties
        self.created_time = created_time
        self.modified_time = modified_time
        self.image_type = image_type
        self.creation_state = creation_state
        self.error = error
        self.model_ids = model_ids
        self.model_details = model_details
        self.image_location = image_location
        self.image_build_log_uri = image_build_log_uri
        self.image_request_type_discriminator = image_request_type_discriminator
