# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class LivenessProbeRequirements(Model):
    """The requirements for the liveness probe on the service.

    :param timeout_seconds: Timeout for the liveness probe in seconds.
    :type timeout_seconds: int
    :param success_threshold: Success threshold for the liveness probe in
     seconds.
    :type success_threshold: int
    :param failure_threshold: Failure threshold for the liveness probe in
     seconds.
    :type failure_threshold: int
    :param period_seconds: Time period for the liveness probe in seconds.
    :type period_seconds: int
    :param initial_delay_seconds: Delay for the liveness probe in seconds.
    :type initial_delay_seconds: int
    """

    _attribute_map = {
        'timeout_seconds': {'key': 'timeoutSeconds', 'type': 'int'},
        'success_threshold': {'key': 'successThreshold', 'type': 'int'},
        'failure_threshold': {'key': 'failureThreshold', 'type': 'int'},
        'period_seconds': {'key': 'periodSeconds', 'type': 'int'},
        'initial_delay_seconds': {'key': 'initialDelaySeconds', 'type': 'int'},
    }

    def __init__(self, timeout_seconds=None, success_threshold=None, failure_threshold=None, period_seconds=None, initial_delay_seconds=None):
        super(LivenessProbeRequirements, self).__init__()
        self.timeout_seconds = timeout_seconds
        self.success_threshold = success_threshold
        self.failure_threshold = failure_threshold
        self.period_seconds = period_seconds
        self.initial_delay_seconds = initial_delay_seconds
