# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class RunDto(Model):
    """RunDto.

    :param run_number:
    :type run_number: int
    :param root_run_id:
    :type root_run_id: str
    :param experiment_id:
    :type experiment_id: str
    :param created_utc:
    :type created_utc: datetime
    :param user_id:
    :type user_id: str
    :param token:
    :type token: str
    :param token_expiry_time_utc:
    :type token_expiry_time_utc: datetime
    :param run_id:
    :type run_id: str
    :param parent_run_id:
    :type parent_run_id: str
    :param status:
    :type status: str
    :param start_time_utc:
    :type start_time_utc: datetime
    :param end_time_utc:
    :type end_time_utc: datetime
    :param heartbeat_enabled:
    :type heartbeat_enabled: bool
    :param options:
    :type options: ~_restclient.models.RunOptions
    :param name:
    :type name: str
    :param data_container_id:
    :type data_container_id: str
    :param description:
    :type description: str
    :param hidden:
    :type hidden: bool
    :param run_type:
    :type run_type: str
    :param parent_run_uuid:
    :type parent_run_uuid: str
    :param root_run_uuid:
    :type root_run_uuid: str
    :param run_uuid:
    :type run_uuid: str
    :param properties:
    :type properties: dict[str, str]
    :param script_name:
    :type script_name: str
    :param target:
    :type target: str
    :param tags:
    :type tags: dict[str, str]
    :param run_definition:
    :type run_definition: object
    :param created_from:
    :type created_from: ~_restclient.models.CreatedFromDto
    :param created_by:
    :type created_by: ~_restclient.models.CreatedByDto
    :param cancel_uri:
    :type cancel_uri: str
    :param complete_uri:
    :type complete_uri: str
    :param diagnostics_uri:
    :type diagnostics_uri: str
    :param error:
    :type error: ~_restclient.models.ErrorResponse
    :param warnings:
    :type warnings: list[~_restclient.models.RunDetailsWarningDto]
    """

    _attribute_map = {
        'run_number': {'key': 'runNumber', 'type': 'int'},
        'root_run_id': {'key': 'rootRunId', 'type': 'str'},
        'experiment_id': {'key': 'experimentId', 'type': 'str'},
        'created_utc': {'key': 'createdUtc', 'type': 'iso-8601'},
        'user_id': {'key': 'userId', 'type': 'str'},
        'token': {'key': 'token', 'type': 'str'},
        'token_expiry_time_utc': {'key': 'tokenExpiryTimeUtc', 'type': 'iso-8601'},
        'run_id': {'key': 'runId', 'type': 'str'},
        'parent_run_id': {'key': 'parentRunId', 'type': 'str'},
        'status': {'key': 'status', 'type': 'str'},
        'start_time_utc': {'key': 'startTimeUtc', 'type': 'iso-8601'},
        'end_time_utc': {'key': 'endTimeUtc', 'type': 'iso-8601'},
        'heartbeat_enabled': {'key': 'heartbeatEnabled', 'type': 'bool'},
        'options': {'key': 'options', 'type': 'RunOptions'},
        'name': {'key': 'name', 'type': 'str'},
        'data_container_id': {'key': 'dataContainerId', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'hidden': {'key': 'hidden', 'type': 'bool'},
        'run_type': {'key': 'runType', 'type': 'str'},
        'parent_run_uuid': {'key': 'parentRunUuid', 'type': 'str'},
        'root_run_uuid': {'key': 'rootRunUuid', 'type': 'str'},
        'run_uuid': {'key': 'runUuid', 'type': 'str'},
        'properties': {'key': 'properties', 'type': '{str}'},
        'script_name': {'key': 'scriptName', 'type': 'str'},
        'target': {'key': 'target', 'type': 'str'},
        'tags': {'key': 'tags', 'type': '{str}'},
        'run_definition': {'key': 'runDefinition', 'type': 'object'},
        'created_from': {'key': 'createdFrom', 'type': 'CreatedFromDto'},
        'created_by': {'key': 'createdBy', 'type': 'CreatedByDto'},
        'cancel_uri': {'key': 'cancelUri', 'type': 'str'},
        'complete_uri': {'key': 'completeUri', 'type': 'str'},
        'diagnostics_uri': {'key': 'diagnosticsUri', 'type': 'str'},
        'error': {'key': 'error', 'type': 'ErrorResponse'},
        'warnings': {'key': 'warnings', 'type': '[RunDetailsWarningDto]'},
    }

    def __init__(self, run_number=None, root_run_id=None, experiment_id=None, created_utc=None, user_id=None, token=None, token_expiry_time_utc=None, run_id=None, parent_run_id=None, status=None, start_time_utc=None, end_time_utc=None, heartbeat_enabled=None, options=None, name=None, data_container_id=None, description=None, hidden=None, run_type=None, parent_run_uuid=None, root_run_uuid=None, run_uuid=None, properties=None, script_name=None, target=None, tags=None, run_definition=None, created_from=None, created_by=None, cancel_uri=None, complete_uri=None, diagnostics_uri=None, error=None, warnings=None):
        super(RunDto, self).__init__()
        self.run_number = run_number
        self.root_run_id = root_run_id
        self.experiment_id = experiment_id
        self.created_utc = created_utc
        self.user_id = user_id
        self.token = token
        self.token_expiry_time_utc = token_expiry_time_utc
        self.run_id = run_id
        self.parent_run_id = parent_run_id
        self.status = status
        self.start_time_utc = start_time_utc
        self.end_time_utc = end_time_utc
        self.heartbeat_enabled = heartbeat_enabled
        self.options = options
        self.name = name
        self.data_container_id = data_container_id
        self.description = description
        self.hidden = hidden
        self.run_type = run_type
        self.parent_run_uuid = parent_run_uuid
        self.root_run_uuid = root_run_uuid
        self.run_uuid = run_uuid
        self.properties = properties
        self.script_name = script_name
        self.target = target
        self.tags = tags
        self.run_definition = run_definition
        self.created_from = created_from
        self.created_by = created_by
        self.cancel_uri = cancel_uri
        self.complete_uri = complete_uri
        self.diagnostics_uri = diagnostics_uri
        self.error = error
        self.warnings = warnings
